Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001723KdenliveBuild Systempublic2010-08-01 22:222010-09-14 23:01
Reportermaxkessler 
Assigned Tottill 
PrioritynormalSeverityblockReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSFedora LinuxOS Version13
Product VersionRecent git 
Target VersionFixed in Version0.7.8 
Summary0001723: linker error (undefined symbol XQueryColor)
DescriptionWhen I get to the make stage, it fails on linking colorpickerwidget.o with the message:
/usr/bin/ld: CMakeFiles/kdenlive.dir/colorpickerwidget.o: undefined reference to symbol 'XQueryColor'
/usr/bin/ld: note: 'XQueryColor' is defined in DSO /usr/lib/libX11.so.6 so try adding it to the linker command line
/usr/lib/libX11.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
Steps To ReproduceDownload latest SVN (4678).

cd kdenlive/build
cmake ..; make
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0005434)
ttill (developer)
2010-08-02 18:42
edited on: 2010-08-02 18:42

I tried to fix this in svn rev. 4680. Could you please test?

(0005442)
maxkessler (reporter)
2010-08-02 20:25

OK, it builds now. Thanks.

- Issue History
Date Modified Username Field Change
2010-08-01 22:22 maxkessler New Issue
2010-08-02 18:42 ttill Note Added: 0005434
2010-08-02 18:42 ttill Assigned To => ttill
2010-08-02 18:42 ttill Status new => feedback
2010-08-02 18:42 ttill Note Edited: 0005434 View Revisions
2010-08-02 20:25 maxkessler Note Added: 0005442
2010-08-02 20:25 maxkessler Status feedback => assigned
2010-08-02 21:40 j-b-m Status assigned => resolved
2010-08-02 21:40 j-b-m Fixed in Version => Recent git
2010-08-02 21:40 j-b-m Resolution open => fixed
2010-09-14 11:00 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker